List products
curl --request GET \
--url https://app.alana.shopping/api/workspace/{workspaceId}/catalog/products \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"workspaceId": "<string>",
"title": "<string>",
"price": 123,
"currency": "<string>",
"availability": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"catalogId": "<string>",
"description": "<string>",
"brand": "<string>",
"categoryPath": [
"<string>"
],
"originalPrice": 123,
"primaryImageUrl": "<string>",
"sku": "<string>",
"gtin": "<string>",
"attributes": {},
"optimizationScore": 50,
"feedReady": true,
"createdBy": "<string>"
}
],
"pagination": {
"limit": 123,
"cursor": "<string>",
"has_more": true
}
}Listar Produtos
Retrieve products with optimization scores and feed readiness status
GET
/
api
/
workspace
/
{workspaceId}
/
catalog
/
products
List products
curl --request GET \
--url https://app.alana.shopping/api/workspace/{workspaceId}/catalog/products \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"workspaceId": "<string>",
"title": "<string>",
"price": 123,
"currency": "<string>",
"availability": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"catalogId": "<string>",
"description": "<string>",
"brand": "<string>",
"categoryPath": [
"<string>"
],
"originalPrice": 123,
"primaryImageUrl": "<string>",
"sku": "<string>",
"gtin": "<string>",
"attributes": {},
"optimizationScore": 50,
"feedReady": true,
"createdBy": "<string>"
}
],
"pagination": {
"limit": 123,
"cursor": "<string>",
"has_more": true
}
}Autorizações
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Parâmetros de caminho
The workspace ID
Pattern:
^ws_[a-z0-9]+$Parâmetros de consulta
Filter by catalog ID
Intervalo obrigatório:
1 <= x <= 100Última modificação em 16 de fevereiro de 2026
⌘I